ADOBE AFTER EFFECTS: Forum Expressions Tutorials Creative Cloud

How to make AE use 1.0 version of effect instead of 2.5 version?

COW Forums : Adobe After Effects Expressions

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Yevgeny Kolomensky
How to make AE use 1.0 version of effect instead of 2.5 version?
on Feb 26, 2019 at 10:21:30 pm

Hi,

I wrote a script which worked just fine in AE 2015. Recently I found out there is a bug if you run it in AE 2019: the 2.5 version of effect ("Brightness and Contrast" in my case) is used instead of 1.0 version. They act completely different so I can't possibly get the same result.

Is there a way to make AE use 1.0 version of effect instead of 2.5 version?

Thanks.


Return to posts index

Dan Ebberts
Re: How to make AE use 1.0 version of effect instead of 2.5 version?
on Feb 27, 2019 at 12:45:53 am

I know that effect was updated between AE CS6 and AE CC, but they added a "Use Legacy" checkbox so you could still get the old behavior, but it sounds like you're talking about something more recent. I'm really curious--where did you get the version 2.5 vs 1.0 info?

Dan



Return to posts index

Yevgeny Kolomensky
Re: How to make AE use 1.0 version of effect instead of 2.5 version?
on Feb 27, 2019 at 12:11:16 pm

I got version info by clicking the "About..." label next to the name of effect in Effect Controls window.

Your answer led me to AE Scripting Guide from Feb 13, 2019 and I found what I needed. I have replaced "Brightness & Contrast" in my script with "ADBE Brightness & Contrast 2" and now AE uses the right version!

Thank you very much, Dan.


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2019 CreativeCOW.net All Rights Reserved
[TOP]